;параметры оболочки Disk Master II для сторонних программ
DM$KC       = 4000      ; сигнатура цепочки переходов функции 16
DM$PR       = 70000     ; сигнатура вывода символа на экран
DM$FN       = 107000    ; сигнатура функции

M$CURSOR     = 000057   ; признак гашения курсора оболочки
M$CURRESFUN  = 000226   ; адрес текущей выполняемой функции оболочки
M$CUROVLFUN  = 000230   ; текущий номер оверлейной функции, которая загружена в буфер
M$ARPTDELAY  = 000232   ; значение задержки после первого кода и остальных при автоповторе
M$OVLFUNMR   = 000236   ; номер оверлейной функции, которая загружена в буфер
M$FILTADDR   = 000242   ; адрес буфера фильтра
;300
M$BUFSPCL    = 000310   ; буфер стека в кластерной операции
;500-514?

F$DIRNME     = 126000   ;14 байтов
F$FILTR      = 126014   ;14 байтов

F$TOPSTACK   = 126124   ;126030..126122 stack area
M$VECTBUFF   = 126124   ;126124..126153 область, где сохраняются
                        ;вектора и некоторые переменные
F$AFILER     = 126162   ;2 байта
F$PFILER     = 126164   ;6 байтов:
                        ; byte число столбцов * число текстовых строк
                        ; byte число текстовых строк
                        ; byte ширина окна файлера
                        ; byte высота окна файлера
                        ; word смещение от начала экрана
F$SPBUF      = 126172
INKDELAY     = 126174
F$COUNT      = 126176
; АКТИВНАЯ ПАНЕЛЬ
FILT         = 126370   ; буфер фильтра оболочки
NFIL         = 126404   ; количество помеченных файлов
NCL          = 126406   ; количество занимаемых кластеров помеченных файлов
TDA          = 126410   ; таблица параметров привода
FRECL        = 126412   ; свободно кластеров
ADR0         = 126414   ; базовый адрес начала каталога
ADR1         = 126416   ; адрес начала каталога (с учётом "..")
ITEGB        = 126420   ; индикатор режима вывода помеченных файлов
ITTB         = 126421   ; индикатор текущий (0 - режим неактивен)
IMDOS        = 126422   ; индикатор DOS (0 - ANDOS, иначе - MicroDOS)
byte_126423  = 126423
; ПАССИВНАЯ ПАНЕЛЬ
FILTP        = 126424   ; буфер фильтра оболочки
NFILP        = 126440   ; количество помеченных файлов
NCLP         = 126442   ; количество занимаемых кластеров помеченных файлов
TDAP         = 126444   ; таблица параметров привода
FRECLP       = 126446   ; свободно кластеров
ADR0P        = 126450   ; базовый адрес начала каталога
ADR1P        = 126452   ; адрес начала каталога (с учётом "..")
ITEGBP       = 126454   ; индикатор режима вывода помеченных файлов
ITTBP        = 126455   ; индикатор текущий (0 - режим неактивен)
IMDOSP       = 126456   ; индикатор DOS (0 - ANDOS, иначе - MicroDOS)
byte_126457  = 126457
M$SAVESCR    = 126460   ; флаг сохранения содержимого экрана под окном
M$DRIVER     = 126462

DiskMaster   = 126500
COLORB       = 126504   ; режим оцветнения (0 - чёрно-белый)
PRIB         = 126505   ; номер драйвера принтера
ILLP         = 126506   ; инициализирующая строка (1-й байт - длина строки),
                        ; выводимая на принтер подпрограммой ANDOS INIPRN (120314)
                        ; буфер под строку инициализации
NLIN         = 126524   ; количество строк для печати из режима VIEW
OTSTUP       = 126525   ; левый отступ при печати
byte_126526  = 126526
byte_126530  = 126530
TSS          = 126531   ; имя третьего привода меню выбора приводов
HSTEP        = 126532   ; шаг горизонтального скроллинга во VIEW

FILDPTR      = 126534   ; Указатель на буфер, куда сохраняется содержимое экрана под окнами
OVLEXECA     = 126536   ; адрес адреса загрузки оверлеев
M$ContinueOp = 126540   ; флаг продолжения операции копирования/переноса
                        ; при ошибке и перезапуске оболочки
M$CpMvOperation  = 126541
; АКТИВНАЯ ПАНЕЛЬ
DAB          = 126542   ; устройство активной панели
DIRB         = 126543   ; номер текущего подкаталога активной панели
AFAT         = 126544   ; адрес FAT активной панели
ADR          = 126546   ; текущий адрес в активной панели
Y            = 126550   ; текущая вертикальная координата указателя в активной панели
CWO          = 126552   ; контрольное слово (=@ADR) активной панели
ILIB         = 126554   ; индикатор режима прозрачности (0 - реж.откл.)
XB           = 126555   ; горизонтальное координата панели (1 или 41)
DATEB        = 126556   ; режим "ДАТА/ДЛИНА" (0 - "ДЛИНА")
; ПАССИВНАЯ ПАНЕЛЬ
DAPB         = 126560   ; устройство пассивной панели
DIRPB        = 126561   ; номер текущего подкаталога пассивной панели
AFATP        = 126562   ; адрес FAT пассивной панели
ADRP         = 126564   ; текущий адрес в пассивной панели
YP           = 126566   ; текущая вертикальная координата указателя в пассивной панели
CWOP         = 126570   ; контрольное слово (=@ADR)
ILIPB        = 126572   ; индикатор режима прозрачности (0 - реж.откл.)
XPB          = 126573   ; горизонтальное координата панели (1 или 41)
DATEBP       = 126574   ; режим "ДАТА/ДЛИНА" (0 - "ДЛИНА")

F$PARAM      = 126576   ; параметры файлера для узкого экрана

;OVERLAYADDR = 23200     ; адрес загрузки оверлеев оболочки
